<?php 

	// 2003 - 2023 @ Yal Publicidad - yPanel
	//* defino camino al sistema
	include_once( dirname(__DIR__) . '/.ypanel.php' );
	
	$panel		= ( isset( $_POST['panel'] ) ) ? $_POST['panel'] : 'none';
	$tabla		= ( isset( yPanel::paneles( $panel )->tabla ) ) ? WY_DBPREFIJO . yPanel::paneles( $panel )->tabla : 'nulo';
	
	
	function obtCadenaSlug($cadena){
		$cadena	= trim( strip_tags( $cadena ) );
		$cadena	= str_replace( ' ', '-', $cadena );
		$cadena	= preg_replace('([^A-Za-z0-9\-])', '', $cadena);
		return strtolower( $cadena );
	}
	
	// ** Ejecuto accion Guardar / Modificar
		if( $_POST['acc'] == 'g-mnu' ){
			$post = ( isset($_POST['post']) ) ? $_POST['post'] : $post;
			
			// Quito espacios y - del slug
				$nombre		= ( isset( $_POST['nombre'] ) )	? utf8_decode( _mysql_real_escape_string( $_POST['nombre'] ) ) : '';
				$slug		= ( isset( $_POST['slug'] ) )	? obtCadenaSlug( $_POST['slug'] ) : '';
				$link		= ( isset( $_POST['link'] ) )	? strip_tags( $_POST['link'] ) : '';
				$atributos	= ( isset( $_POST['atributos'] ) )	? strip_tags( $_POST['atributos'] ) : '';
				$posicion	= ( isset( $_POST['posicion'] ) )	? strip_tags( $_POST['posicion'] ) : '';
				$orden		= ( isset( $_POST['orden'] ) && $_POST['orden'] > 0 ) ? strip_tags($_POST['orden']) : 0;
				$publicado	= ( isset( $_POST['publicado'] ) && $_POST['publicado'] == 1 ) ? 1 : 0;
				$padre		= ( isset( $_POST['jerarquia'] ) ) ? strip_tags( $_POST['jerarquia'] ) : 0;
				
			if( $post > 0 ){
				if( _mysql_query( "UPDATE `" . $tabla . "` SET `nombre`='$nombre', `slug`='$slug', `link`='$link', `atributos`='$atributos', `posicion`='$posicion', `orden`='$orden', `publicado`='$publicado', `padre`='$padre' WHERE id='$post'" ) or die( msg_error( _mysql_error(), NULL, 'alert-danger' ) ) ){
					echo msg_error( etiqueta( 'msj_guardar_ok', 'Se guardó correctamente.' ), 'fa-check-circle', 'alert-success' );
				}
			}else{
				if( _mysql_existe( $tabla, "slug", "slug='$slug' AND posicion='$posicion'" ) ){
					echo msg_error( etiqueta( 'msj_reg_existe', 'El registro ya existe.' ), NULL, 'alert-warning' );	
				}else{
					if( _mysql_query("INSERT INTO `" . $tabla . "`(`nombre`, `slug`, `link`, `atributos`, `posicion`, `orden`, `publicado`, `padre`) VALUES ('$nombre', '$slug', '$link', '', '$posicion', '$orden', '$publicado', '$padre')") or die( msg_error( _mysql_error(), NULL, 'alert-danger' ) ) ){
						echo msg_error( etiqueta( 'msj_guardar_ok', 'Se guardó correctamente.' ), 'fa-check-circle', 'alert-success' );
					}
				}
			}
		}
		
	// ** Ejecuto accion Deshabilitar / Habilitar
	if( $_POST['acc'] == 'r-habilitar' ){
			echo _mysql_modificar_reg( $tabla, "id='{$_POST['post']}'", "publicado='{$_POST['h']}'" );
	}
	
	// ** Ejecuto accion eliminar
	if( $_POST['acc'] == 'r-eliminar' ){
		// ** Elimino de la base de datos
			echo _mysql_eliminar_reg( $tabla, $_POST['post'] );
	}			 
?>	